org.apache.synapse.commons.throttle.core.impl.rolebase

## Class RoleBaseThrottleConfiguration

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.impl.rolebase.RoleBaseThrottleConfiguration

- All Implemented Interfaces:
    ThrottleConfiguration

      public class RoleBaseThrottleConfiguration
      extends java.lang.Object
      implements ThrottleConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleBaseThrottleConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCallerConfiguration(CallerConfiguration callerConfiguration)` To add a CallerConfiguration - The controlling policy for a caller
    `CallerConfiguration` | `getCallerConfiguration(java.lang.String roleID)` To get a CallerConfiguration - The controlling policy for a caller
    `java.lang.String` | `getConfigurationKeyOfCaller(java.lang.String roleID)` To get a access key for a caller (In the case of group ID)
    `int` | `getType()` To get the type of the throttle

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleBaseThrottleConfiguration

          public RoleBaseThrottleConfiguration()

  - ### Method Detail

    - #### addCallerConfiguration

          public void addCallerConfiguration(CallerConfiguration callerConfiguration)

      Description copied from interface: `ThrottleConfiguration`
      To add a CallerConfiguration - The controlling policy for a caller
      Specified by:
        `addCallerConfiguration` in interface `ThrottleConfiguration`
      Parameters:
        `callerConfiguration` - The caller configuration data

    - #### getCallerConfiguration

          public CallerConfiguration getCallerConfiguration(java.lang.String roleID)

      Description copied from interface: `ThrottleConfiguration`
      To get a CallerConfiguration - The controlling policy for a caller
      Specified by:
        `getCallerConfiguration` in interface `ThrottleConfiguration`
      Parameters:
        `roleID` - The ID of the caller (ip/domain name)
      Returns:
        CallerConfiguration

    - #### getConfigurationKeyOfCaller

          public java.lang.String getConfigurationKeyOfCaller(java.lang.String roleID)

      Description copied from interface: `ThrottleConfiguration`
      To get a access key for a caller (In the case of group ID)
      Specified by:
        `getConfigurationKeyOfCaller` in interface `ThrottleConfiguration`
      Parameters:
        `roleID` - - The ID of the caller (ip/domain name)
      Returns:
        String -The pre-define key with in policy

    - #### getType

          public int getType()

      Description copied from interface: `ThrottleConfiguration`
      To get the type of the throttle
      Specified by:
        `getType` in interface `ThrottleConfiguration`
      Returns:
        the type of the throttle

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.